<?php 
if(!defined('IN_DISCUZ')) {
	exit('Access Denied');
}
if(!isset($_G['cache']['plugin']['rcd_regsafe_dzx'])){
	loadcache('plugin');
}

class plugin_rcd_regsafe_dzx{
	
}

class plugin_rcd_regsafe_dzx_member extends plugin_rcd_regsafe_dzx {
	function register(){
		global $_G;
		$config = $_G['cache']['plugin']['rcd_regsafe_dzx'];
		if(submitcheck('regsubmit')) {
			if ($config['minlength'] && strlen($_G['gp_'.$_G['setting']['reginput']['password']]) < $config['minlength']){
				showmessage(''.$config['minlength'].'λ'.($config['maxlength'] ? ',С'.$config['maxlength'].'λ' : ''));
			}
			if ($config['maxlength'] && strlen($_G['gp_'.$_G['setting']['reginput']['password']]) > $config['maxlength']){
				showmessage(($config['minlength'] ? ''.$config['minlength'].'λ': '').',С'.$config['maxlength'].'λ');
			}
			if ($config['notsame'] && $_G['gp_'.$_G['setting']['reginput']['password']] == $_G['gp_'.$_G['setting']['reginput']['username']]){
				showmessage('벻ûͬ');
			}
			if ($config['mustnumeral']){
				preg_match("/\d+/", $_G['gp_'.$_G['setting']['reginput']['password']], $digit);
				if (!$digit){
					showmessage('');
				}
			}
			if ($config['mustletter']){
				preg_match("/[a-zA-Z]+/", $_G['gp_'.$_G['setting']['reginput']['password']], $letter);
				if (!$letter){
					showmessage('ĸ');
				}
			}
		}
	}
	
	function register_bottom(){
		global $_G;
		$config = $_G['cache']['plugin']['rcd_regsafe_dzx'];
		include template('rcd_regsafe_dzx:reg');
		return $return;
	}
}
?>